import { defineContentConfig, defineCollection, z } from '@nuxt/content'

export default defineContentConfig({
  collections: {
    blog: defineCollection({
      type: 'page',
      source: 'blog/**/*.md'
    }),

    skills: defineCollection({
      type: 'page',
      source: 'snippets/skills/*.md',
    }),

    faq: defineCollection({
      type: 'page',
      source: 'snippets/faq/*.md',
      schema: z.object({
        rawbody: z.string(),
      })
    })
  }
})